SSSD(8)

NAME
sssd - System Security Services Daemon (Systemsicherheitsdienst-Daemon)

SYNOPSIS

sssd [Optionen]

BESCHREIBUNG

SSSD stellt einen Satz Daemons bereit, um den Zugriff auf ferne Verzeichnisse und Authentifizierungsmechanismen zu verwalten. Es bietet eine NSS- und PAM-Schnittstelle zum System und ein erweiterbares Backend-System zum Verbinden mit mehreren unterschiedlichen Kontenquellen sowie der D-Bus-Schnittstelle. Es bildet außerdem die Grundlage für das Bereitstellen von Client-Überprüfungen und Richtliniendiensten für Projekte wie FreeIPA. Es stellt eine robustere Datenbank bereit, um lokale Benutzer sowie erweiterte Benutzerdaten zu speichern.

OPTIONEN

-d,--debug-level STUFE
    SSSD unterstützt zwei Darstellungsmodi für die Angabe der Debug-Stufe. Die einfachste ist die Angabe eines Dezimalwerts von 0 bis 9, welche die Aktivierung der Meldungen der entsprechenden Stufe und aller niederer Stufen bewirkt. Eine umfassendere Option ist die Angabe einer hexadezimalen Bitmaske, um spezifische Stufen zu aktivieren oder zu deaktivieren (wenn Sie beispielsweise eine Stufe unterdrücken wollen).

    Please note that each SSSD service logs into its own log file. Also please note that enabling “debug_level” in the “[sssd]” section only enables debugging just for the sssd process itself, not for the responder or provider processes. The “debug_level” parameter should be added to all sections that you wish to produce debug logs from.

    In addition to changing the log level in the config file using the “debug_level” parameter, which is persistent, but requires SSSD restart, it is also possible to change the debug level on the fly using the sss_debuglevel(8) tool.

    derzeit unterstützte Debug-Stufen:

    0, 0x0010: Schwerwiegende Fehler. Alles was SSSD am Start hindern oder es beenden könnte.

    1, 0x0020: Critical failures. An error that doesn't kill SSSD, but one that indicates that at least one major feature is not going to work properly.

    2, 0x0040: Ernsthafte Fehler. Dies sind Fehler, bei denen eine bestimmte Anfrage oder Operation fehlgeschlagen ist.

    3, 0x0080: Kleinere Fehler. Dies sind Fehler, die von geringerer Bedeutung als die fehlgeschlagenen Operationen in der Stufe 2 sind.

    4, 0x0100: Konfigurationseinstellungen.

    5, 0x0200: Funktionsdaten.

    6, 0x0400: Meldungen aus der Verfolgung von Operationsfunktionen.

    7, 0x1000: Meldungen aus der Verfolgung interner Kontrollfunktionen.

    8, 0x2000: Inhalte funktionsinterner Variablen, die von Interesse sein könnten.

    9, 0x4000: Verfolgungsmeldungen extrem niederster Ebene.

    Um die Debug-Stufen nach Bitmaske zu protokollieren, fügen Sie deren Nummern hinzu, wie in den folgenden Beispielen gezeigt:

    Beispiel: Um fatale, kritische, schwerwiegende Fehler und Funktionsdaten zu protokollieren, benutzen Sie 0x0270.

    Beispiel: Um fatale Fehler, Konfigurationseinstellungen, Funktionsdaten und Verfolgungsnachrichten für interne Steuerfunktionen zu protokollieren, benutzen Sie 0x1310.

    Hinweis: Das Bitmasken-Format der Debug-Level wurde in 1.7.0 eingeführt.

    Voreinstellung: 0

--debug-timestamps=Modus
    1: Den Debug-Nachrichten wird ein Zeitstempel hinzugefügt.

    0: Zeitstempel in Debug-Nachrichten werden deaktiviert.

    Voreinstellung: 1

--debug-microseconds=Modus
    1: Dem Zeitstempel in Debug-Nachrichten werden Millisekunden hinzugefügt.

    0: Millisekunden werden in Zeitstempeln deaktiviert

    Voreinstellung: 0

-f,--debug-to-files
    sendet die Ausgabe der Fehlersuche in Dateien statt auf die Standardfehlerausgabe. Standardmäßig werden die Protokolldateien in /var/log/sssd gespeichert. Dort gibt es separate Protokolldateien für jeden SSSD-Dienst und jede Domain.

    This option is deprecated. It is replaced by --logger=files.

--logger=value
    Location where SSSD will send log messages. This option overrides the value of the deprecated option --debug-to-files. The deprecated option will still work if the --logger is not used.

    stderr: Redirect debug messages to standard error output.

    files: Redirect debug messages to the log files. By default, the log files are stored in /var/log/sssd and there are separate log files for every SSSD service and domain.

    journald: Redirect debug messages to systemd-journald

    Voreinstellung: nicht gesetzt

-D,--daemon
    wird nach dem Start ein Daemon.

-i,--interactive
    läuft im Vordergrund und wird kein Daemon.

-c,--config
    gibt eine Konfigurationsdatei an, die nicht Standard ist. Die Voreinstellung ist /etc/sssd/sssd.conf. Auskunft über die Syntax und Optionen der Konfigurationsdatei finden Sie in der Handbuchseite sssd.conf(5).

-?,--help
    zeigt den Hilfetext und beendet sich.

--version
    gibt die Versionsnummer aus und beendet sich.

SIGNALE

SIGTERM/SIGINT
    Informiert SSSD, dass es anstandslos alle Kindprozesse beenden und dann das Überwachungsprogramm herunterfahren soll.

SIGHUP
    teilt SSSD mit, dass es das Schreiben des aktuellen Dateideskriptors zur Fehlersuche stoppen, ihn schließen und erneut öffnen soll. Dies ist dazu gedacht, das Rotieren von Protokolldateien mit Programmen wie Logrotate zu erleichtern.

SIGUSR1
    Tells the SSSD to simulate offline operation for the duration of the “offline_timeout” parameter. This is useful for testing. The signal can be sent to either the sssd process or any sssd_be process directly.

SIGUSR2
    Tells the SSSD to go online immediately. This is useful for testing. The signal can be sent to either the sssd process or any sssd_be process directly.

ANMERKUNGEN

Falls die Umgebungsvariable SSS_NSS_USE_MEMCACHE auf »NO« gesetzt ist, nutzen Client-Anwendungen den schnellen speicherinternen Zwischenspeicher nicht.

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/